InnoDB: Warning: table 'mysql/innodb_index_stats' in InnoDB data dictionary has unknown flags 50.

Bug #1302882 reported by Mark Casey on 2014-04-04
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
MySQL Server
Unknown
Unknown
Percona Server
Status tracked in 5.6
5.6
Low
Unassigned
Percona XtraBackup
Undecided
Unassigned
2.1
Low
Alexey Kopytov
2.2
Undecided
Unassigned

Bug Description

I'm seeing this message when running XtraBackup, but others have said they see it in the error logs.

https://mobile.twitter.com/Savagedlight/status/436098380662452224?screen_name=Savagedlight
http://www.percona.com/forums/questions-discussions/mysql-and-percona-server/13799-problems-after-upgrade-to-5-6?_=1396649017509

Below are commands I used to reproduce on a new machine, followed by a very lightly spaced out and commented copy of the full console session.

Steps to reproduce on clean machine:
- I used an EC2 instance ( m1.small - Ubuntu Server 13.10 (PV) - ami-7eaecc4e (64-bit) ) -

ubuntu@ip-172-31-18-97:~$ sudo su
root@ip-172-31-18-97:/home/ubuntu# apt-key adv --keyserver keys.gnupg.net --recv-keys 1C4CBDCDCD2EFD2A
root@ip-172-31-18-97:/home/ubuntu# echo 'deb http://repo.percona.com/apt saucy main'>>/etc/apt/sources.list
root@ip-172-31-18-97:/home/ubuntu# echo 'deb-src http://repo.percona.com/apt saucy main'>>/etc/apt/sources.list
root@ip-172-31-18-97:/home/ubuntu# apt-get update
root@ip-172-31-18-97:/home/ubuntu# apt-get install percona-server-server-5.6 xtrabackup
[[ did not set root password ]]
root@ip-172-31-18-97:/home/ubuntu# mkdir /root/backup
root@ip-172-31-18-97:/home/ubuntu# echo '[mysqld]' > /etc/mysql/my.cnf
root@ip-172-31-18-97:/home/ubuntu# echo 'datadir=/var/lib/mysql' >> /etc/mysql/my.cnf
root@ip-172-31-18-97:/home/ubuntu# innobackupex /root/backup/
root@ip-172-31-18-97:/home/ubuntu# innobackupex --apply-log /root/backup/2014-04-04_22-32-23/
[[ no issue so far ]]
root@ip-172-31-18-97:/home/ubuntu# echo 'SET storage_engine=InnoDB; CREATE DATABASE foo' | mysql
root@ip-172-31-18-97:/home/ubuntu# echo 'SET storage_engine=InnoDB; use foo; CREATE TABLE IF NOT EXISTS bar (bar1 INT);' | mysql
root@ip-172-31-18-97:/home/ubuntu# echo 'use foo; INSERT INTO `bar` (`bar1`) VALUES ('154');' | mysql
root@ip-172-31-18-97:/home/ubuntu# rm /root/backup/2014-04-04_22-32-23/ -rf
root@ip-172-31-18-97:/home/ubuntu# innobackupex /root/backup/
root@ip-172-31-18-97:/home/ubuntu# innobackupex --apply-log /root/backup/2014-04-04_22-40-13/
root@ip-172-31-18-97:/home/ubuntu# echo 'SET storage_engine=InnoDB; use foo; CREATE TABLE IF NOT EXISTS baz (baz1 VARCHAR(20),baz2 DATE);' | mysql
root@ip-172-31-18-97:/home/ubuntu# echo 'use foo; INSERT INTO `baz` (`baz1`,`baz2`) VALUES ("Darlene Koch","1989-11-20"); ' | mysql
root@ip-172-31-18-97:/home/ubuntu# echo 'use foo; INSERT INTO `baz` (`baz1`,`baz2`) VALUES ("Lora Keller","1994-05-31"); ' | mysql
root@ip-172-31-18-97:/home/ubuntu# service mysql restart
root@ip-172-31-18-97:/home/ubuntu# rm /root/backup/2014-04-04_22-40-13/ -rf
root@ip-172-31-18-97:/home/ubuntu# innobackupex /root/backup/
root@ip-172-31-18-97:/home/ubuntu# innobackupex --apply-log /root/backup/2014-04-04_22-47-14/
...

InnoDB: Renaming log file ./ib_logfile101 to ./ib_logfile0
InnoDB: New log files created, LSN=1650086
InnoDB: Highest supported file format is Barracuda.
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
2014-04-04 22:47:56 7f5e32d84700 InnoDB: Warning: table 'mysql/innodb_index_stats'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 22:47:56 7f5e32d84700 InnoDB: Warning: table 'mysql/innodb_table_stats'
InnoDB: in InnoDB data dictionary has unknown flags 50.
InnoDB: 5.6.15 started; log sequence number 1650188

...
-- Issue reached --

-- FULL SESSION BELOW --

login as: ubuntu
Authenticating with public key "foo"

The programs included with the Ubuntu system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Ubuntu comes with ABSOLUTELY NO WARRANTY, to the extent permitted by
applicable law.

ubuntu@ip-172-31-18-97:~$ sudo su
root@ip-172-31-18-97:/home/ubuntu# apt-key adv --keyserver keys.gnupg.net --recv-keys 1C4CBDCDCD2EFD2A
Executing: gpg --ignore-time-conflict --no-options --no-default-keyring --secret-keyring /tmp/tmp.bLAmNjOphc --trustdb-name /etc/apt//trustdb.gpg --keyring /etc/apt/trusted.gpg --primary-keyring /etc/apt/trusted.gpg --keyserver keys.gnupg.net --recv-keys 1C4CBDCDCD2EFD2A
gpg: requesting key CD2EFD2A from hkp server keys.gnupg.net
gpg: key CD2EFD2A: public key "Percona MySQL Development Team <email address hidden>" imported
gpg: Total number processed: 1
gpg: imported: 1
root@ip-172-31-18-97:/home/ubuntu# echo 'deb http://repo.percona.com/apt saucy main'>>/etc/apt/sources.list
root@ip-172-31-18-97:/home/ubuntu# echo 'deb-src http://repo.percona.com/apt saucy main'>>/etc/apt/sources.list
root@ip-172-31-18-97:/home/ubuntu# apt-get update
Ign http://us-west-2.ec2.archive.ubuntu.com saucy InRelease
Ign http://us-west-2.ec2.archive.ubuntu.com saucy-updates InRelease
Get:1 http://us-west-2.ec2.archive.ubuntu.com saucy Release.gpg [933 B]
Get:2 http://us-west-2.ec2.archive.ubuntu.com saucy-updates Release.gpg [933 B]
Get:3 http://us-west-2.ec2.archive.ubuntu.com saucy Release [49.6 kB]
Get:4 http://repo.percona.com saucy InRelease [11.5 kB]
Get:5 http://us-west-2.ec2.archive.ubuntu.com saucy-updates Release [49.6 kB]
Ign http://security.ubuntu.com saucy-security InRelease
Get:6 http://us-west-2.ec2.archive.ubuntu.com saucy/main Sources [1,009 kB]
Get:7 http://repo.percona.com saucy/main Sources [2,806 B]
Get:8 http://security.ubuntu.com saucy-security Release.gpg [933 B]
Get:9 http://us-west-2.ec2.archive.ubuntu.com saucy/universe Sources [6,108 kB]
Get:10 http://repo.percona.com saucy/main amd64 Packages [10.3 kB]
Get:11 http://security.ubuntu.com saucy-security Release [49.6 kB]
Get:12 http://security.ubuntu.com saucy-security/main Sources [40.2 kB]
Get:13 http://security.ubuntu.com saucy-security/universe Sources [8,837 B]
Ign http://repo.percona.com saucy/main Translation-en_US
Get:14 http://security.ubuntu.com saucy-security/main amd64 Packages [107 kB]
Ign http://repo.percona.com saucy/main Translation-en
Get:15 http://us-west-2.ec2.archive.ubuntu.com saucy/main amd64 Packages [1,239 kB]
Get:16 http://security.ubuntu.com saucy-security/universe amd64 Packages [37.0 kB]
Get:17 http://us-west-2.ec2.archive.ubuntu.com saucy/universe amd64 Packages [5,643 kB]
Get:18 http://security.ubuntu.com saucy-security/main Translation-en [59.3 kB]
Get:19 http://security.ubuntu.com saucy-security/universe Translation-en [21.7 kB]
Get:20 http://us-west-2.ec2.archive.ubuntu.com saucy-updates/main Sources [81.4 kB]
Get:21 http://us-west-2.ec2.archive.ubuntu.com saucy-updates/universe Sources [68.6 kB]
Get:22 http://us-west-2.ec2.archive.ubuntu.com saucy-updates/main amd64 Packages [224 kB]
Get:23 http://us-west-2.ec2.archive.ubuntu.com saucy-updates/universe amd64 Packages [159 kB]
Ign http://us-west-2.ec2.archive.ubuntu.com saucy/main Translation-en_US
Ign http://us-west-2.ec2.archive.ubuntu.com saucy/main Translation-en
Ign http://us-west-2.ec2.archive.ubuntu.com saucy/universe Translation-en_US
Ign http://us-west-2.ec2.archive.ubuntu.com saucy/universe Translation-en
Ign http://us-west-2.ec2.archive.ubuntu.com saucy-updates/main Translation-en_US
Ign http://us-west-2.ec2.archive.ubuntu.com saucy-updates/main Translation-en
Ign http://us-west-2.ec2.archive.ubuntu.com saucy-updates/universe Translation-en_US
Ign http://us-west-2.ec2.archive.ubuntu.com saucy-updates/universe Translation-en
Ign http://security.ubuntu.com saucy-security/main Translation-en_US
Ign http://security.ubuntu.com saucy-security/universe Translation-en_US
Fetched 15.0 MB in 18s (810 kB/s)
Reading package lists... Done

root@ip-172-31-18-97:/home/ubuntu# apt-get install percona-server-server-5.6 xtrabackup
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
  libaio1 libdbd-mysql-perl libdbi-perl libmysqlclient18 libperconaserverclient18.1 percona-server-client-5.6 percona-server-common-5.6 percona-xtrabackup
Suggested packages:
  libclone-perl libmldbm-perl libnet-daemon-perl libplrpc-perl libsql-statement-perl tinyca
The following NEW packages will be installed:
  libaio1 libdbd-mysql-perl libdbi-perl libmysqlclient18 libperconaserverclient18.1 percona-server-client-5.6 percona-server-common-5.6 percona-server-server-5.6 percona-xtrabackup
  xtrabackup
0 upgraded, 10 newly installed, 0 to remove and 34 not upgraded.
Need to get 40.3 MB of archives.
After this operation, 138 MB of additional disk space will be used.
Do you want to continue [Y/n]?
Get:1 http://us-west-2.ec2.archive.ubuntu.com/ubuntu/ saucy/main libaio1 amd64 0.3.109-4 [6,364 B]
Get:2 http://us-west-2.ec2.archive.ubuntu.com/ubuntu/ saucy/main libdbi-perl amd64 1.627-1 [874 kB]
Get:3 http://repo.percona.com/apt/ saucy/main percona-server-common-5.6 amd64 5.6.16-64.2-569.saucy [11.0 kB]
Get:4 http://us-west-2.ec2.archive.ubuntu.com/ubuntu/ saucy/main libdbd-mysql-perl amd64 4.023-1 [97.3 kB]
Get:5 http://us-west-2.ec2.archive.ubuntu.com/ubuntu/ saucy/universe xtrabackup all 2.1.3-618-1 [12.8 kB]
Get:6 http://repo.percona.com/apt/ saucy/main libperconaserverclient18.1 amd64 5.6.16-64.2-569.saucy [18.5 kB]
Get:7 http://repo.percona.com/apt/ saucy/main percona-server-client-5.6 amd64 5.6.16-64.2-569.saucy [10.2 MB]
Get:8 http://repo.percona.com/apt/ saucy/main libmysqlclient18 amd64 5.5.35-rel33.0-611.saucy [858 kB]
Get:9 http://repo.percona.com/apt/ saucy/main percona-server-server-5.6 amd64 5.6.16-64.2-569.saucy [19.6 MB]
Get:10 http://repo.percona.com/apt/ saucy/main percona-xtrabackup amd64 2.1.8-733-1.saucy [8,608 kB]
Fetched 40.3 MB in 9s (4,334 kB/s)
Preconfiguring packages ...
Selecting previously unselected package libaio1:amd64.
(Reading database ... 53343 files and directories currently installed.)
Unpacking libaio1:amd64 (from .../libaio1_0.3.109-4_amd64.deb) ...
Selecting previously unselected package percona-server-common-5.6.
Unpacking percona-server-common-5.6 (from .../percona-server-common-5.6_5.6.16-64.2-569.saucy_amd64.deb) ...
Selecting previously unselected package libdbi-perl.
Unpacking libdbi-perl (from .../libdbi-perl_1.627-1_amd64.deb) ...
Selecting previously unselected package libperconaserverclient18.1.
Unpacking libperconaserverclient18.1 (from .../libperconaserverclient18.1_5.6.16-64.2-569.saucy_amd64.deb) ...
Selecting previously unselected package percona-server-client-5.6.
Unpacking percona-server-client-5.6 (from .../percona-server-client-5.6_5.6.16-64.2-569.saucy_amd64.deb) ...
Selecting previously unselected package libmysqlclient18.
Unpacking libmysqlclient18 (from .../libmysqlclient18_5.5.35-rel33.0-611.saucy_amd64.deb) ...
Selecting previously unselected package libdbd-mysql-perl.
Unpacking libdbd-mysql-perl (from .../libdbd-mysql-perl_4.023-1_amd64.deb) ...
Processing triggers for man-db ...
Setting up percona-server-common-5.6 (5.6.16-64.2-569.saucy) ...
Selecting previously unselected package percona-server-server-5.6.
(Reading database ... 53585 files and directories currently installed.)
Unpacking percona-server-server-5.6 (from .../percona-server-server-5.6_5.6.16-64.2-569.saucy_amd64.deb) ...
Selecting previously unselected package percona-xtrabackup.
Unpacking percona-xtrabackup (from .../percona-xtrabackup_2.1.8-733-1.saucy_amd64.deb) ...
Selecting previously unselected package xtrabackup.
Unpacking xtrabackup (from .../xtrabackup_2.1.3-618-1_all.deb) ...
Processing triggers for ureadahead ...
Processing triggers for man-db ...
Setting up libaio1:amd64 (0.3.109-4) ...
Setting up libdbi-perl (1.627-1) ...
Setting up libperconaserverclient18.1 (5.6.16-64.2-569.saucy) ...
Setting up percona-server-client-5.6 (5.6.16-64.2-569.saucy) ...
Setting up libmysqlclient18 (5.5.35-rel33.0-611.saucy) ...
Setting up libdbd-mysql-perl (4.023-1) ...
Setting up percona-server-server-5.6 (5.6.16-64.2-569.saucy) ...
 * Stopping MySQL (Percona Server) mysqld [ OK ]

 * Percona Server is distributed with several useful UDF (User Defined Function) from Percona Toolkit.
 * Run the following commands to create these functions:

        mysql -e "CREATE FUNCTION fnv1a_64 RETURNS INTEGER SONAME 'libfnv1a_udf.so'"
        mysql -e "CREATE FUNCTION fnv_64 RETURNS INTEGER SONAME 'libfnv_udf.so'"
        mysql -e "CREATE FUNCTION murmur_hash RETURNS INTEGER SONAME 'libmurmur_udf.so'"

 * See http://www.percona.com/doc/percona-server/5.6/management/udf_percona_toolkit.html for more details

 * Starting MySQL (Percona Server) database server mysqld [ OK ]
 * Checking for corrupt, not cleanly closed and upgrade needing tables.
Setting up percona-xtrabackup (2.1.8-733-1.saucy) ...
Setting up xtrabackup (2.1.3-618-1) ...
Processing triggers for libc-bin ...
Processing triggers for ureadahead ...

[[ did not set root password ]]

root@ip-172-31-18-97:/home/ubuntu# mkdir /root/backup

root@ip-172-31-18-97:/home/ubuntu# echo '[mysqld]' > /etc/mysql/my.cnf
root@ip-172-31-18-97:/home/ubuntu# echo 'datadir=/var/lib/mysql' >> /etc/mysql/my.cnf

root@ip-172-31-18-97:/home/ubuntu# innobackupex /root/backup/

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona LLC and/or its affiliates 2009-2013. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

Get the latest version of Percona XtraBackup, documentation, and help resources:
http://www.percona.com/xb/p

140404 22:32:23 innobackupex: Connecting to MySQL server with DSN 'dbi:mysql:;mysql_read_default_group=xtrabackup' (using password: NO).
140404 22:32:23 innobackupex: Connected to MySQL server
140404 22:32:23 innobackupex: Executing a version check against the server...
140404 22:32:23 innobackupex: Done.
IMPORTANT: Please check that the backup run completes successfully.
           At the end of a successful backup run innobackupex
           prints "completed OK!".

innobackupex: Using mysql server version 5.6.16-64.2-569.saucy

innobackupex: Created backup directory /root/backup/2014-04-04_22-32-23

140404 22:32:23 innobackupex: Starting ibbackup with command: xtrabackup_56 --defaults-group="mysqld" --backup --suspend-at-end --target-dir=/root/backup/2014-04-04_22-32-23 --tmpdir=/tmp
innobackupex: Waiting for ibbackup (pid=3084) to suspend
innobackupex: Suspend file '/root/backup/2014-04-04_22-32-23/xtrabackup_suspended_2'

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: uses posix_fadvise().
xtrabackup: cd to /var/lib/mysql
xtrabackup: using the following InnoDB configuration:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
>> log scanned up to (1626007)
[01] Copying ./ibdata1 to /root/backup/2014-04-04_22-32-23/ibdata1
[01] ...done
[01] Copying ./mysql/innodb_index_stats.ibd to /root/backup/2014-04-04_22-32-23/mysql/innodb_index_stats.ibd
[01] ...done
[01] Copying ./mysql/innodb_table_stats.ibd to /root/backup/2014-04-04_22-32-23/mysql/innodb_table_stats.ibd
[01] ...done
[01] Copying ./mysql/slave_relay_log_info.ibd to /root/backup/2014-04-04_22-32-23/mysql/slave_relay_log_info.ibd
[01] ...done
>> log scanned up to (1626007)
[01] Copying ./mysql/slave_worker_info.ibd to /root/backup/2014-04-04_22-32-23/mysql/slave_worker_info.ibd
[01] ...done
[01] Copying ./mysql/slave_master_info.ibd to /root/backup/2014-04-04_22-32-23/mysql/slave_master_info.ibd
[01] ...done
xtrabackup: Creating suspend file '/root/backup/2014-04-04_22-32-23/xtrabackup_suspended_2' with pid '3085'

140404 22:32:25 innobackupex: Continuing after ibbackup has suspended
140404 22:32:25 innobackupex: Starting to lock all tables...
>> log scanned up to (1626007)
140404 22:32:25 innobackupex: All tables locked and flushed to disk

140404 22:32:25 innobackupex: Starting to backup non-InnoDB tables and files
innobackupex: in subdirectories of '/var/lib/mysql'
innobackupex: Backing up files '/var/lib/mysql/mysql/*.{frm,isl,MYD,MYI,MAD,MAI,MRG,TRG,TRN,ARM,ARZ,CSM,CSV,opt,par}' (74 files)
>> log scanned up to (1626007)
innobackupex: Backing up files '/var/lib/mysql/performance_schema/*.{frm,isl,MYD,MYI,MAD,MAI,MRG,TRG,TRN,ARM,ARZ,CSM,CSV,opt,par}' (53 files)
>> log scanned up to (1626007)
140404 22:32:27 innobackupex: Finished backing up non-InnoDB tables and files

140404 22:32:27 innobackupex: Waiting for log copying to finish

xtrabackup: The latest check point (for incremental): '1626007'
xtrabackup: Stopping log copying thread.
.>> log scanned up to (1626007)

xtrabackup: Creating suspend file '/root/backup/2014-04-04_22-32-23/xtrabackup_log_copied' with pid '3085'
xtrabackup: Transaction log of lsn (1626007) to (1626007) was copied.
140404 22:32:28 innobackupex: All tables unlocked

innobackupex: Backup created in directory '/root/backup/2014-04-04_22-32-23'
140404 22:32:28 innobackupex: Connection to database server closed
140404 22:32:28 innobackupex: completed OK!

root@ip-172-31-18-97:/home/ubuntu# innobackupex --apply-log /root/backup/2014-04-04_22-32-23/

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona LLC and/or its affiliates 2009-2013. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

Get the latest version of Percona XtraBackup, documentation, and help resources:
http://www.percona.com/xb/p

IMPORTANT: Please check that the apply-log run completes successfully.
           At the end of a successful apply-log run innobackupex
           prints "completed OK!".

140404 22:32:58 innobackupex: Starting ibbackup with command: xtrabackup_56 --defaults-file="/root/backup/2014-04-04_22-32-23/backup-my.cnf" --defaults-group="mysqld" --prepare --target-dir=/root/backup/2014-04-04_22-32-23 --tmpdir=/tmp

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: cd to /root/backup/2014-04-04_22-32-23
xtrabackup: This target seems to be not prepared yet.
xtrabackup: xtrabackup_logfile detected: size=2097152, start_lsn=(1626007)
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 1
xtrabackup: innodb_log_file_size = 2097152
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 1
xtrabackup: innodb_log_file_size = 2097152
xtrabackup: Starting InnoDB instance for recovery.
xtrabackup: Using 104857600 bytes for buffer pool (set by --use-memory parameter)
InnoDB: The InnoDB memory heap is disabled
InnoDB: Mutexes and rw_locks use GCC atomic builtins
InnoDB: Compressed tables use zlib 1.2.3
InnoDB: Using CPU crc32 instructions
InnoDB: Initializing buffer pool, size = 100.0M
InnoDB: Completed initialization of buffer pool
InnoDB: Highest supported file format is Barracuda.
InnoDB: The log sequence numbers 1625997 and 1625997 in ibdata files do not match the log sequence number 1626007 in the ib_logfiles!
InnoDB: Database was not shutdown normally!
InnoDB: Starting crash recovery.
InnoDB: Reading tablespace information from the .ibd files...
InnoDB: Restoring possible half-written data pages
InnoDB: from the doublewrite buffer...
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
InnoDB: 5.6.15 started; log sequence number 1626007

[notice (again)]
  If you use binary log and don't use any hack of group commit,
  the binary log position seems to be:

xtrabackup: starting shutdown with innodb_fast_shutdown = 1
InnoDB: FTS optimize thread exiting.
InnoDB: Starting shutdown...
InnoDB: Shutdown completed; log sequence number 1626017

140404 22:33:00 innobackupex: Restarting xtrabackup with command: xtrabackup_56 --defaults-file="/root/backup/2014-04-04_22-32-23/backup-my.cnf" --defaults-group="mysqld" --prepare --target-dir=/root/backup/2014-04-04_22-32-23 --tmpdir=/tmp
for creating ib_logfile*

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: cd to /root/backup/2014-04-04_22-32-23
xtrabackup: This target seems to be already prepared.
xtrabackup: notice: xtrabackup_logfile was already used to '--prepare'.
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
xtrabackup: Starting InnoDB instance for recovery.
xtrabackup: Using 104857600 bytes for buffer pool (set by --use-memory parameter)
InnoDB: The InnoDB memory heap is disabled
InnoDB: Mutexes and rw_locks use GCC atomic builtins
InnoDB: Compressed tables use zlib 1.2.3
InnoDB: Using CPU crc32 instructions
InnoDB: Initializing buffer pool, size = 100.0M
InnoDB: Completed initialization of buffer pool
InnoDB: Setting log file ./ib_logfile101 size to 48 MB
InnoDB: Setting log file ./ib_logfile1 size to 48 MB
InnoDB: Renaming log file ./ib_logfile101 to ./ib_logfile0
InnoDB: New log files created, LSN=1626017
InnoDB: Highest supported file format is Barracuda.
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
InnoDB: 5.6.15 started; log sequence number 1626124

[notice (again)]
  If you use binary log and don't use any hack of group commit,
  the binary log position seems to be:

xtrabackup: starting shutdown with innodb_fast_shutdown = 1
InnoDB: FTS optimize thread exiting.
InnoDB: Starting shutdown...
InnoDB: Shutdown completed; log sequence number 1626134
140404 22:33:08 innobackupex: completed OK!

[[ no issue so far ]]

root@ip-172-31-18-97:/home/ubuntu# echo 'SET storage_engine=InnoDB; CREATE DATABASE foo' | mysql
root@ip-172-31-18-97:/home/ubuntu# echo 'SET storage_engine=InnoDB; use foo; CREATE TABLE IF NOT EXISTS bar (bar1 INT);' | mysql
root@ip-172-31-18-97:/home/ubuntu# echo 'use foo; INSERT INTO `bar` (`bar1`) VALUES ('154');' | mysql

root@ip-172-31-18-97:/home/ubuntu# rm /root/backup/2014-04-04_22-32-23/ -rf
root@ip-172-31-18-97:/home/ubuntu# innobackupex /root/backup/

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona LLC and/or its affiliates 2009-2013. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

Get the latest version of Percona XtraBackup, documentation, and help resources:
http://www.percona.com/xb/p

140404 22:40:13 innobackupex: Connecting to MySQL server with DSN 'dbi:mysql:;mysql_read_default_group=xtrabackup' (using password: NO).
140404 22:40:13 innobackupex: Connected to MySQL server
140404 22:40:13 innobackupex: Executing a version check against the server...
140404 22:40:13 innobackupex: Done.
IMPORTANT: Please check that the backup run completes successfully.
           At the end of a successful backup run innobackupex
           prints "completed OK!".

innobackupex: Using mysql server version 5.6.16-64.2-569.saucy

innobackupex: Created backup directory /root/backup/2014-04-04_22-40-13

140404 22:40:13 innobackupex: Starting ibbackup with command: xtrabackup_56 --defaults-group="mysqld" --backup --suspend-at-end --target-dir=/root/backup/2014-04-04_22-40-13 --tmpdir=/tmp
innobackupex: Waiting for ibbackup (pid=3418) to suspend
innobackupex: Suspend file '/root/backup/2014-04-04_22-40-13/xtrabackup_suspended_2'

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: uses posix_fadvise().
xtrabackup: cd to /var/lib/mysql
xtrabackup: using the following InnoDB configuration:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
>> log scanned up to (1634528)
[01] Copying ./ibdata1 to /root/backup/2014-04-04_22-40-13/ibdata1
>> log scanned up to (1634528)
>> log scanned up to (1634528)
[01] ...done
[01] Copying ./mysql/innodb_index_stats.ibd to /root/backup/2014-04-04_22-40-13/mysql/innodb_index_stats.ibd
[01] ...done
[01] Copying ./mysql/innodb_table_stats.ibd to /root/backup/2014-04-04_22-40-13/mysql/innodb_table_stats.ibd
[01] ...done
[01] Copying ./mysql/slave_relay_log_info.ibd to /root/backup/2014-04-04_22-40-13/mysql/slave_relay_log_info.ibd
[01] ...done
[01] Copying ./mysql/slave_worker_info.ibd to /root/backup/2014-04-04_22-40-13/mysql/slave_worker_info.ibd
[01] ...done
[01] Copying ./mysql/slave_master_info.ibd to /root/backup/2014-04-04_22-40-13/mysql/slave_master_info.ibd
[01] ...done
[01] Copying ./foo/bar.ibd to /root/backup/2014-04-04_22-40-13/foo/bar.ibd
[01] ...done
>> log scanned up to (1634528)
xtrabackup: Creating suspend file '/root/backup/2014-04-04_22-40-13/xtrabackup_suspended_2' with pid '3419'

140404 22:40:17 innobackupex: Continuing after ibbackup has suspended
140404 22:40:17 innobackupex: Starting to lock all tables...
140404 22:40:17 innobackupex: All tables locked and flushed to disk

140404 22:40:17 innobackupex: Starting to backup non-InnoDB tables and files
innobackupex: in subdirectories of '/var/lib/mysql'
innobackupex: Backing up files '/var/lib/mysql/mysql/*.{frm,isl,MYD,MYI,MAD,MAI,MRG,TRG,TRN,ARM,ARZ,CSM,CSV,opt,par}' (74 files)
>> log scanned up to (1634528)
>> log scanned up to (1634528)
innobackupex: Backing up files '/var/lib/mysql/performance_schema/*.{frm,isl,MYD,MYI,MAD,MAI,MRG,TRG,TRN,ARM,ARZ,CSM,CSV,opt,par}' (53 files)
>> log scanned up to (1634528)
innobackupex: Backing up file '/var/lib/mysql/foo/db.opt'
innobackupex: Backing up file '/var/lib/mysql/foo/bar.frm'
140404 22:40:20 innobackupex: Finished backing up non-InnoDB tables and files

140404 22:40:20 innobackupex: Waiting for log copying to finish

xtrabackup: The latest check point (for incremental): '1634528'
xtrabackup: Stopping log copying thread.
.>> log scanned up to (1634528)

xtrabackup: Creating suspend file '/root/backup/2014-04-04_22-40-13/xtrabackup_log_copied' with pid '3419'
xtrabackup: Transaction log of lsn (1634528) to (1634528) was copied.
140404 22:40:21 innobackupex: All tables unlocked

innobackupex: Backup created in directory '/root/backup/2014-04-04_22-40-13'
140404 22:40:21 innobackupex: Connection to database server closed
140404 22:40:21 innobackupex: completed OK!

root@ip-172-31-18-97:/home/ubuntu# innobackupex --apply-log /root/backup/2014-04-04_22-40-13/

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona LLC and/or its affiliates 2009-2013. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

Get the latest version of Percona XtraBackup, documentation, and help resources:
http://www.percona.com/xb/p

IMPORTANT: Please check that the apply-log run completes successfully.
           At the end of a successful apply-log run innobackupex
           prints "completed OK!".

140404 22:40:51 innobackupex: Starting ibbackup with command: xtrabackup_56 --defaults-file="/root/backup/2014-04-04_22-40-13/backup-my.cnf" --defaults-group="mysqld" --prepare --target-dir=/root/backup/2014-04-04_22-40-13 --tmpdir=/tmp

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: cd to /root/backup/2014-04-04_22-40-13
xtrabackup: This target seems to be not prepared yet.
xtrabackup: xtrabackup_logfile detected: size=2097152, start_lsn=(1634528)
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 1
xtrabackup: innodb_log_file_size = 2097152
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 1
xtrabackup: innodb_log_file_size = 2097152
xtrabackup: Starting InnoDB instance for recovery.
xtrabackup: Using 104857600 bytes for buffer pool (set by --use-memory parameter)
InnoDB: The InnoDB memory heap is disabled
InnoDB: Mutexes and rw_locks use GCC atomic builtins
InnoDB: Compressed tables use zlib 1.2.3
InnoDB: Using CPU crc32 instructions
InnoDB: Initializing buffer pool, size = 100.0M
InnoDB: Completed initialization of buffer pool
InnoDB: Highest supported file format is Barracuda.
InnoDB: The log sequence numbers 1625997 and 1625997 in ibdata files do not match the log sequence number 1634528 in the ib_logfiles!
InnoDB: Database was not shutdown normally!
InnoDB: Starting crash recovery.
InnoDB: Reading tablespace information from the .ibd files...
InnoDB: Restoring possible half-written data pages
InnoDB: from the doublewrite buffer...
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
InnoDB: 5.6.15 started; log sequence number 1634528

[notice (again)]
  If you use binary log and don't use any hack of group commit,
  the binary log position seems to be:

xtrabackup: starting shutdown with innodb_fast_shutdown = 1
InnoDB: FTS optimize thread exiting.
InnoDB: Starting shutdown...
InnoDB: Shutdown completed; log sequence number 1634538

140404 22:40:53 innobackupex: Restarting xtrabackup with command: xtrabackup_56 --defaults-file="/root/backup/2014-04-04_22-40-13/backup-my.cnf" --defaults-group="mysqld" --prepare --target-dir=/root/backup/2014-04-04_22-40-13 --tmpdir=/tmp
for creating ib_logfile*

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: cd to /root/backup/2014-04-04_22-40-13
xtrabackup: This target seems to be already prepared.
xtrabackup: notice: xtrabackup_logfile was already used to '--prepare'.
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
xtrabackup: Starting InnoDB instance for recovery.
xtrabackup: Using 104857600 bytes for buffer pool (set by --use-memory parameter)
InnoDB: The InnoDB memory heap is disabled
InnoDB: Mutexes and rw_locks use GCC atomic builtins
InnoDB: Compressed tables use zlib 1.2.3
InnoDB: Using CPU crc32 instructions
InnoDB: Initializing buffer pool, size = 100.0M
InnoDB: Completed initialization of buffer pool
InnoDB: Setting log file ./ib_logfile101 size to 48 MB
InnoDB: Setting log file ./ib_logfile1 size to 48 MB
InnoDB: Renaming log file ./ib_logfile101 to ./ib_logfile0
InnoDB: New log files created, LSN=1634538
InnoDB: Highest supported file format is Barracuda.
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
InnoDB: 5.6.15 started; log sequence number 1634828

[notice (again)]
  If you use binary log and don't use any hack of group commit,
  the binary log position seems to be:

xtrabackup: starting shutdown with innodb_fast_shutdown = 1
InnoDB: FTS optimize thread exiting.
InnoDB: Starting shutdown...
InnoDB: Shutdown completed; log sequence number 1634838
140404 22:41:07 innobackupex: completed OK!

root@ip-172-31-18-97:/home/ubuntu# echo 'SET storage_engine=InnoDB; use foo; CREATE TABLE IF NOT EXISTS baz (baz1 VARCHAR(20),baz2 DATE);' | mysql

root@ip-172-31-18-97:/home/ubuntu# echo 'use foo; INSERT INTO `baz` (`baz1`,`baz2`) VALUES ("Darlene Koch","1989-11-20"); ' | mysql
root@ip-172-31-18-97:/home/ubuntu# echo 'use foo; INSERT INTO `baz` (`baz1`,`baz2`) VALUES ("Lora Keller","1994-05-31"); ' | mysql

root@ip-172-31-18-97:/home/ubuntu# service mysql restart
 * Stopping MySQL (Percona Server) mysqld [ OK ]
 * Starting MySQL (Percona Server) database server mysqld [ OK ]
 * Checking for corrupt, not cleanly closed and upgrade needing tables.
root@ip-172-31-18-97:/home/ubuntu#

root@ip-172-31-18-97:/home/ubuntu# rm /root/backup/2014-04-04_22-40-13/ -rf

root@ip-172-31-18-97:/home/ubuntu# innobackupex /root/backup/

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona LLC and/or its affiliates 2009-2013. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

Get the latest version of Percona XtraBackup, documentation, and help resources:
http://www.percona.com/xb/p

140404 22:47:14 innobackupex: Connecting to MySQL server with DSN 'dbi:mysql:;mysql_read_default_group=xtrabackup' (using password: NO).
140404 22:47:14 innobackupex: Connected to MySQL server
140404 22:47:14 innobackupex: Executing a version check against the server...
140404 22:47:14 innobackupex: Done.
IMPORTANT: Please check that the backup run completes successfully.
           At the end of a successful backup run innobackupex
           prints "completed OK!".

innobackupex: Using mysql server version 5.6.16-64.2-569.saucy

innobackupex: Created backup directory /root/backup/2014-04-04_22-47-14

140404 22:47:14 innobackupex: Starting ibbackup with command: xtrabackup_56 --defaults-group="mysqld" --backup --suspend-at-end --target-dir=/root/backup/2014-04-04_22-47-14 --tmpdir=/tmp
innobackupex: Waiting for ibbackup (pid=4091) to suspend
innobackupex: Suspend file '/root/backup/2014-04-04_22-47-14/xtrabackup_suspended_2'

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: uses posix_fadvise().
xtrabackup: cd to /var/lib/mysql
xtrabackup: using the following InnoDB configuration:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
>> log scanned up to (1650076)
[01] Copying ./ibdata1 to /root/backup/2014-04-04_22-47-14/ibdata1
>> log scanned up to (1650076)
[01] ...done
[01] Copying ./mysql/innodb_index_stats.ibd to /root/backup/2014-04-04_22-47-14/mysql/innodb_index_stats.ibd
[01] ...done
[01] Copying ./mysql/innodb_table_stats.ibd to /root/backup/2014-04-04_22-47-14/mysql/innodb_table_stats.ibd
[01] ...done
[01] Copying ./mysql/slave_relay_log_info.ibd to /root/backup/2014-04-04_22-47-14/mysql/slave_relay_log_info.ibd
[01] ...done
[01] Copying ./mysql/slave_worker_info.ibd to /root/backup/2014-04-04_22-47-14/mysql/slave_worker_info.ibd
[01] ...done
[01] Copying ./mysql/slave_master_info.ibd to /root/backup/2014-04-04_22-47-14/mysql/slave_master_info.ibd
[01] ...done
[01] Copying ./foo/baz.ibd to /root/backup/2014-04-04_22-47-14/foo/baz.ibd
[01] ...done
[01] Copying ./foo/bar.ibd to /root/backup/2014-04-04_22-47-14/foo/bar.ibd
[01] ...done
>> log scanned up to (1650076)
xtrabackup: Creating suspend file '/root/backup/2014-04-04_22-47-14/xtrabackup_suspended_2' with pid '4092'

140404 22:47:17 innobackupex: Continuing after ibbackup has suspended
140404 22:47:17 innobackupex: Starting to lock all tables...
140404 22:47:17 innobackupex: All tables locked and flushed to disk

140404 22:47:17 innobackupex: Starting to backup non-InnoDB tables and files
innobackupex: in subdirectories of '/var/lib/mysql'
innobackupex: Backing up files '/var/lib/mysql/mysql/*.{frm,isl,MYD,MYI,MAD,MAI,MRG,TRG,TRN,ARM,ARZ,CSM,CSV,opt,par}' (74 files)
>> log scanned up to (1650076)
>> log scanned up to (1650076)
innobackupex: Backing up files '/var/lib/mysql/performance_schema/*.{frm,isl,MYD,MYI,MAD,MAI,MRG,TRG,TRN,ARM,ARZ,CSM,CSV,opt,par}' (53 files)
>> log scanned up to (1650076)
innobackupex: Backing up file '/var/lib/mysql/foo/db.opt'
innobackupex: Backing up file '/var/lib/mysql/foo/bar.frm'
innobackupex: Backing up file '/var/lib/mysql/foo/baz.frm'
140404 22:47:20 innobackupex: Finished backing up non-InnoDB tables and files

140404 22:47:20 innobackupex: Waiting for log copying to finish

xtrabackup: The latest check point (for incremental): '1650076'
xtrabackup: Stopping log copying thread.
.>> log scanned up to (1650076)

xtrabackup: Creating suspend file '/root/backup/2014-04-04_22-47-14/xtrabackup_log_copied' with pid '4092'
xtrabackup: Transaction log of lsn (1650076) to (1650076) was copied.
140404 22:47:21 innobackupex: All tables unlocked

innobackupex: Backup created in directory '/root/backup/2014-04-04_22-47-14'
140404 22:47:21 innobackupex: Connection to database server closed
140404 22:47:21 innobackupex: completed OK!

root@ip-172-31-18-97:/home/ubuntu# innobackupex --apply-log /root/backup/2014-04-04_22-47-14/

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona LLC and/or its affiliates 2009-2013. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

Get the latest version of Percona XtraBackup, documentation, and help resources:
http://www.percona.com/xb/p

IMPORTANT: Please check that the apply-log run completes successfully.
           At the end of a successful apply-log run innobackupex
           prints "completed OK!".

140404 22:47:47 innobackupex: Starting ibbackup with command: xtrabackup_56 --defaults-file="/root/backup/2014-04-04_22-47-14/backup-my.cnf" --defaults-group="mysqld" --prepare --target-dir=/root/backup/2014-04-04_22-47-14 --tmpdir=/tmp

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: cd to /root/backup/2014-04-04_22-47-14
xtrabackup: This target seems to be not prepared yet.
xtrabackup: xtrabackup_logfile detected: size=2097152, start_lsn=(1650076)
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 1
xtrabackup: innodb_log_file_size = 2097152
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 1
xtrabackup: innodb_log_file_size = 2097152
xtrabackup: Starting InnoDB instance for recovery.
xtrabackup: Using 104857600 bytes for buffer pool (set by --use-memory parameter)
InnoDB: The InnoDB memory heap is disabled
InnoDB: Mutexes and rw_locks use GCC atomic builtins
InnoDB: Compressed tables use zlib 1.2.3
InnoDB: Using CPU crc32 instructions
InnoDB: Initializing buffer pool, size = 100.0M
InnoDB: Completed initialization of buffer pool
InnoDB: Highest supported file format is Barracuda.
InnoDB: The log sequence numbers 1650066 and 1650066 in ibdata files do not match the log sequence number 1650076 in the ib_logfiles!
InnoDB: Database was not shutdown normally!
InnoDB: Starting crash recovery.
InnoDB: Reading tablespace information from the .ibd files...
InnoDB: Restoring possible half-written data pages
InnoDB: from the doublewrite buffer...
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
2014-04-04 22:47:48 7f9731df5700 InnoDB: Warning: table 'mysql/innodb_index_stats'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 22:47:48 7f9731df5700 InnoDB: Warning: table 'mysql/innodb_table_stats'
InnoDB: in InnoDB data dictionary has unknown flags 50.
InnoDB: 5.6.15 started; log sequence number 1650076

[notice (again)]
  If you use binary log and don't use any hack of group commit,
  the binary log position seems to be:

xtrabackup: starting shutdown with innodb_fast_shutdown = 1
InnoDB: FTS optimize thread exiting.
InnoDB: Starting shutdown...
InnoDB: Shutdown completed; log sequence number 1650086

140404 22:47:49 innobackupex: Restarting xtrabackup with command: xtrabackup_56 --defaults-file="/root/backup/2014-04-04_22-47-14/backup-my.cnf" --defaults-group="mysqld" --prepare --target-dir=/root/backup/2014-04-04_22-47-14 --tmpdir=/tmp
for creating ib_logfile*

xtrabackup_56 version 2.1.8 for MySQL server 5.6.15 Linux (x86_64) (revision id: undefined)
xtrabackup: cd to /root/backup/2014-04-04_22-47-14
xtrabackup: This target seems to be already prepared.
xtrabackup: notice: xtrabackup_logfile was already used to '--prepare'.
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
xtrabackup: using the following InnoDB configuration for recovery:
xtrabackup: innodb_data_home_dir = ./
xtrabackup: innodb_data_file_path = ibdata1:10M:autoextend
xtrabackup: innodb_log_group_home_dir = ./
xtrabackup: innodb_log_files_in_group = 2
xtrabackup: innodb_log_file_size = 50331648
xtrabackup: Starting InnoDB instance for recovery.
xtrabackup: Using 104857600 bytes for buffer pool (set by --use-memory parameter)
InnoDB: The InnoDB memory heap is disabled
InnoDB: Mutexes and rw_locks use GCC atomic builtins
InnoDB: Compressed tables use zlib 1.2.3
InnoDB: Using CPU crc32 instructions
InnoDB: Initializing buffer pool, size = 100.0M
InnoDB: Completed initialization of buffer pool
InnoDB: Setting log file ./ib_logfile101 size to 48 MB
InnoDB: Setting log file ./ib_logfile1 size to 48 MB
InnoDB: Renaming log file ./ib_logfile101 to ./ib_logfile0
InnoDB: New log files created, LSN=1650086
InnoDB: Highest supported file format is Barracuda.
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
2014-04-04 22:47:56 7f5e32d84700 InnoDB: Warning: table 'mysql/innodb_index_stats'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 22:47:56 7f5e32d84700 InnoDB: Warning: table 'mysql/innodb_table_stats'
InnoDB: in InnoDB data dictionary has unknown flags 50.
InnoDB: 5.6.15 started; log sequence number 1650188

[notice (again)]
  If you use binary log and don't use any hack of group commit,
  the binary log position seems to be:

xtrabackup: starting shutdown with innodb_fast_shutdown = 1
InnoDB: FTS optimize thread exiting.
InnoDB: Starting shutdown...
InnoDB: Shutdown completed; log sequence number 1650198
140404 22:47:57 innobackupex: completed OK!

Related branches

lp:~akopytov/percona-xtrabackup/rebase-2.1-on-5.6.17
Sergei Glushchenko: Approve (g2) on 2014-04-29
Mark Casey (mark-casey) wrote :
Download full text (4.0 KiB)

Oh, for what it's worth, the issue gets worse with time...:

InnoDB: Reading tablespace information from the .ibd files...
InnoDB: Restoring possible half-written data pages
InnoDB: from the doublewrite buffer...
InnoDB: Last MySQL binlog file position 0 22051, file name mysql-bin.000008
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'mysql/innodb_index_stats'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'mysql/innodb_table_stats'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/EmployeeLogin'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/Company'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/Account'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/GeneralLedger'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/Payment'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/PaymentDetail'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/CashDrawer'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/Category'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/Item'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/ItemInstance'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/InventoryLog'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/CompanyConfiguration'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/CompanyFeature'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/CompanyHours'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/Company_Tr'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/Customer'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/CustomerLogin'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/CustomerText_Tr'
InnoDB: in InnoDB data dictionary has unknown flags 50.
2014-04-04 23:04:51 7f5ded3f3700 InnoDB: Warning: table 'prod00009/Transaction'
InnoD...

Read more...

Mark Casey (mark-casey) wrote :

The more I think about it, I might should have filed against Xtrabackup.

The other instances I linked to of people getting this message were in the error logs and I was sort of assuming I was getting the message there too. I've just checked though, and I'm only getting this when running a backup.

So I've added percona-xtrabackup as a second project in an attempt to be a little more accurate. (apologies in advance if this was not "TheRightThing")

tags: added: i41366
Alexey Kopytov (akopytov) wrote :

It is a result of the following change in MySQL 5.6.16:

"InnoDB: On Windows, the full-text search (FTS) object ID was not in the expected hexadecimal format. (Bug #16559254)"

That fix adds a new table flag in the InnoDB data dictionary: DICT_TF2_FTS_AUX_HEX_NAME which confuses all pre-5.6.16 servers and XtraBackup, since it is currently based on 5.6.15.

Which would be a purely XtraBackup issue (it is safe to ignore from what I can tell). However, for some reasons the flag is supposed to be used only for FTS tables, however it is actually set for _all_ newly created tables on MySQL 5.6.16+. Which looks like an upstream bug to me. I'm going to report it separately.

Mark Casey (mark-casey) wrote :

Thank you. That is good to hear. We have not noticed any negative side effects, at least.

I should note in case it is of use that (in my environment at least) Xtrabackup doesn't report the issue immediately after a table has been created or necessarily even after some amount of data has been inserted. Some tables either take some time before they are reported, or perhaps don't appear to have the issue until a certain type of data has been inserted (as appeared to have happened in my reproduction above, but that is pretty much the only testing I did).

Thanks again.

Alexey Kopytov (akopytov) wrote :

Invalid for XtraBackup 2.2, because it is already based on 5.6.16.

Changed in percona-xtrabackup:
status: New → Triaged
importance: Undecided → Low

Based on upstream MySQL bug (http://bugs.mysql.com/bug.php?id=72371) this also affects downgrades from 5.6.16+ to older versions. Hardly this flag should be set for every table.

tags: added: upstream
Andrew Ernst (ubuntubugs-x) wrote :

I've also seen this in my backup logs:

InnoDB: Starting an apply batch of log records to the database...
InnoDB: Progress in percent: 0 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99
InnoDB: Apply batch completed
InnoDB: Last MySQL binlog file position 0 712505595, file name mysql-bin.000651
InnoDB: 128 rollback segment(s) are active.
InnoDB: Waiting for purge to start
2014-05-23 15:49:33 7f61516bd700 InnoDB: Warning: table 'epi/model_versions'
InnoDB: in InnoDB data dictionary has unknown flags 50.
InnoDB: 5.6.15 started; log sequence number 13127458068403
2014-05-23 15:49:34 7f61516bd700 InnoDB: Warning: table 'epi/model_priors'
InnoDB: in InnoDB data dictionary has unknown flags 50.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.